EDI Webrick Installer Needs Update for Ubuntu 18.04

Bug #1901900 reported by Chris Sharp
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Evergreen
Medium
Unassigned
3.5
Medium
Unassigned
3.6
Medium
Unassigned

Bug Description

Discovered during the Hack-A-Way... As sites migrate to Ubuntu 18.04, ones still needing the Ruby EDI mechanism will need a change in the list of gem dependencies. Branch on the way.

We should use this update as an opportunity to deprecate the Ruby EDI pieces and encourage sites to move to in-database EDI attributes.

Evergreen 3.4+
OpenSRF 3.2+
Ubuntu 18.04

Revision history for this message
Chris Sharp (chrissharp123) wrote :
Changed in evergreen:
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Chris Sharp (chrissharp123)
milestone: none → 3.7-beta
tags: added: pullrequest
Changed in evergreen:
assignee: Chris Sharp (chrissharp123) → nobody
status: In Progress → Confirmed
Bill Erickson (berick)
Changed in evergreen:
assignee: nobody → Bill Erickson (berick)
Revision history for this message
Bill Erickson (berick) wrote :

Thanks, Chris. This works for me on Ubuntu 18.04.

Sign-off branch pushed:

https://git.evergreen-ils.org/?p=working/Evergreen.git;a=shortlog;h=refs/heads/user/berick/lp1901900-edi-webrick-ubuntu-bionic-signoff

Is there a reason you targeted 3.7-beta specifically? Any concerns about backporting?

tags: added: acq signedoff
Changed in evergreen:
assignee: Bill Erickson (berick) → nobody
Revision history for this message
Chris Sharp (chrissharp123) wrote :

Pushed to master, rel_3_5 and rel_3_6. Thanks, Bill!

Changed in evergreen:
status: Confirmed → Fix Committed
Changed in evergreen:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers